#
# spec file for package python-portpicker
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define upstream_name portpicker
Name:           python-portpicker
Version:        1.1.0
Release:        1.1
Summary:        A library to choose unique available network ports
License:        Apache-2.0
Group:          Development/Libraries/Python
Url:            https://github.com/google/python_portpicker
Source0:        %{upstream_name}-%{version}.tar.gz
Requires:       python
BuildRequires:  python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Portpicker provides an API to find and return an available network port for
an application to bind to. Ideally suited for use from unittests or for test
harnesses that launch local servers.

%prep
%setup -q -n %{upstream_name}-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc CONTRIBUTING.md LICENSE README.md
%{python_sitelib}/%{upstream_name}*

%changelog
* Tue Dec  1 2015 rjschwei@suse.com
- Include in SLE 12 (FATE#319904, bsc#954690)
* Thu Nov 12 2015 rjschwei@suse.com
- Initial build
  + Version 1.1.0
